package com.pluralsight.service;

import com.pluralsight.model.Speaker;
import com.pluralsight.repository.HibernateSpeakerRepositoryImpl;
import com.pluralsight.repository.SpeakerRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service("speakerService")
public class SpeakerServiceImpl implements SpeakerService {

    private SpeakerRepository repository;

    @Autowired
    public void setRepository(SpeakerRepository repository) {
        System.out.println("speakerRepository setter");
        this.repository = repository;
    }

    public SpeakerServiceImpl(){
        System.out.println("no arguemnt constructor");
    }

    public SpeakerServiceImpl(SpeakerRepository speakerRepository){
        System.out.println("arguemnt constructor");
        repository=speakerRepository;
    }

    @Override
    public List<Speaker> findAll(){
        return repository.findAll();
    }
}
